# $Id$

Name:           perl-XML-Stream
Version:        1.22 
Release:        5%{?dist}
Summary:        XML::Stream - streaming XML library

Group:          Development/Libraries
License:        GPL or Artistic or LGPL
URL:            http://search.cpan.org/dist/XML-Stream/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RE/REATMON/XML-Stream-%{version}.tar.gz 
Source1:        LICENSING.correspondance
Patch0:         tests.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch 
BuildRequires:  perl, perl(Authen::SASL), perl(MIME::Base64)
        
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides the user with methods to connect to a remote server, 
send a stream of XML to the server, and receive/parse an XML stream from 
the server.  It is primarily based work for the Etherx XML router 
developed by the Jabber Development Team.  For more information about this 
project visit http://etherx.jabber.org/stream/.  

XML::Stream gives the user the ability to define a central callback that 
will be used to handle the tags received from the server.  These tags are 
passed in the format defined at instantiation time.  the closing tag of an
object is seen, the tree is finished and passed to the call back function.  
What the user does with it from there is up to them.

For a detailed description of how this module works, and about the data 
structure that it returns, please view the source of Stream.pm and 
look at the detailed description at the end of the file.

%prep
%setup -q -n XML-Stream-%{version}
%patch0

cp %{SOURCE1} .

# generate our other two licenses...
perldoc perlgpl > LICENSE.GPL
perldoc perlartistic > LICENSE.Artistic

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


#%check
# builders are (or may be) firewalled
#make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES README INFO LICENSE.* LICENSING*
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sat May 27 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.22-5
- bump release, to deal with cvs-import.sh being confused by .rpmmacros

* Thu May 25 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.22-4
- include license text, including generated ones
- include correspondance with the module's author

* Wed May 24 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.22-3
- update license to triple licensed, based on conversations with upstream

* Mon May 15 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.22-2
- add CHANGES, README, INFO to docs

* Fri May 12 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.22-1
- first f-e spec.
- patched the tests to try to connect to the gtalk jabber servers, since the
  default one seemed to be "non-funct"
  
